import SwiftUI
import AVFoundation

struct ContentView: View {
    @State private var audioPlayer: AVAudioPlayer?

    var body: some View {
        VStack {
            Button(action: {
                playBuzzingSound()
            }) {
                Image("codi")
                    .resizable()
                    .scaledToFit()
            }
            .padding()
        }
    }

    func playBuzzingSound() {
        if let soundURL = Bundle.main.url(forResource: "Bee-Sound", withExtension: "mp3") {
            do {
                audioPlayer = try AVAudioPlayer(contentsOf: soundURL)
                audioPlayer?.play()
            } catch {
                print("Error playing sound: \(error.localizedDescription)")
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}

